/*
 Theme Name:   Dorokh Child Theme
 Template:     Impreza
 Version:      1.0
 Description:  قالب فرزند سفارشی برای برند دورخ (بر اساس Impreza)
*/

/* استایل اختصاصی فرم ورود و ثبت نام ووکامرس */
.woocommerce-form-login input,
.woocommerce-form-register input {
  width: 95%;
  padding: 10px;
  margin: 10px 0;
  border: none;
  border-radius: 10px;
  background: rgba(255, 255, 255, 0.2);
  color: #fff;
}

.woocommerce-form-login input::placeholder,
.woocommerce-form-register input::placeholder {
  color: #ccc;
}

.woocommerce-form-login button[type="submit"],
.woocommerce-form-register button[type="submit"] {
    width: 95%;
  padding: 12px;
  border: none;
  border-radius: 12px;
  background: linear-gradient(135deg, #ff0080, #7928ca);
  color: white;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.woocommerce-form-login button[type="submit"]:hover,
.woocommerce-form-register button[type="submit"]:hover {
  transform: scale(1.1);
  box-shadow: 0 4px 4px rgba(255, 0, 128, 0.5);
}

.woocommerce-form-login, .woocommerce-form-register, .woocommerce-form-coupon, .woocommerce .track_order, .woocommerce .lost_reset_password , .us_custom_305103b0{
            width: 360px;

        }
        
.vc_col-sm-9 wpb_column vc_column_container{
                    width: auto;
        background: #ffffff;
        border-radius: 12px;   
       }

#customer_login h2 {
    text-align: center;
    font-weight: bold;
    font-size: 24px;
    color: #fff !important;
    color: #333;
    margin-bottom: 20px;
    position: relative;
}

#customer_login h2::after {
    content: "";
    display: block;
    width: 60px;
    height: 3px;
    background: linear-gradient(135deg, #ff0080, #7928ca);
    margin: 10px auto 0 auto;
    border-radius: 5px;
}

@media (max-width: 768px) {
  .u-columns {
    flex-direction: column;
    align-items: center;
  }
  .u-column1.col-1,
  .u-column2.col-2 {
        display: flex;
        flex-direction: column;
        align-content: space-around;
        align-items: center;
        flex-wrap: nowrap;
        justify-content: center;
  }
  .dorokh-toggle-btn {
    font-size: 15px;
    padding: 10px;
  }
  #dorokh-password-progress {
    width: 100%;
  }
}